
Foreman - Feature #1359

export to csv, excel

11/28/2011 02:50 PM - Corey Osman

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I would like to be able to export a list of systems to excel via csv or excel format directly from foreman.

I recently had to create a list of systems that were physical with more than two processors and wish I could have just easily export

the list.

Related issues:

Related to Hammer CLI - Feature #2978: Add CSV output to the list commands Resolved 08/28/2013

Related to Foreman - Feature #1222: API enhancement Closed 10/12/2011

Related to Foreman - Feature #4507: Printer Friendly Reports New 02/28/2014

Related to Foreman - Tracker #18463: Export Table output to CSV/Excel/PDF - T... Assigned 02/12/2017

History

#1 - 08/06/2012 05:09 PM - monte olvera

bump.

This would be a great feature, especially when providing reports to upper management/auditors.

#2 - 10/18/2013 08:10 AM - Benjamin Papillon

- Description updated

- Status changed from New to Closed

Hello,

Foreman 1.3 comes with hammer command line tool that is able to export to CSV. Please test and open a new ticket if it doesn't work as wanted.

Regards,

Benjamin Papillon

#3 - 10/18/2013 08:13 AM - Dominic Cleal

- Related to Feature #2978: Add CSV output to the list commands added

#4 - 10/18/2013 08:13 AM - Dominic Cleal

- Related to Feature #1222: API enhancement added

#5 - 03/03/2014 09:01 AM - Dominic Cleal

- Related to Feature #4507: Printer Friendly Reports added

#6 - 03/14/2017 10:33 AM - Dominic Cleal

- Related to Tracker #18463: Export Table output to CSV/Excel/PDF - Tracker added
